% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TransferableModels.R
\name{ListTransferableModels}
\alias{ListTransferableModels}
\title{Retrieve information about all imported models
This function returns a data.frame that describes all imported models}
\usage{
ListTransferableModels(limit = NULL, offset = NULL)
}
\arguments{
\item{limit}{integer. The number of records to return. The server will use a (possibly finite)
default if not specified.}

\item{offset}{integer. The number of records to skip.}
}
\value{
A data.frame describing uploaded transferable model
with the following components:
\itemize{
  \item note. Character string Manually added node about this imported model.
  \item datasetName. Character string Filename of the dataset used to create the project the
    model belonged to.
  \item modelName. Character string Model type describing the model generated by DataRobot.
  \item displayName. Character string Manually specified human-readable name of the imported
    model.
  \item target. Character string The target of the project the model belonged to prior to export.
  \item projectName. Character string Name of the project the model belonged to prior to export.
  \item importedByUsername. Character string Username of the user who imported the model.
  \item importedAt. Character string The time the model was imported.
  \item version. Numeric Project version of the project the model belonged to.
  \item projectId. Character id of the project the model belonged to prior to export.
  \item featurelistName. Character string Name of the featurelist used to train the model.
  \item createdByUsername. Character string Username of the user who created the model prior to
    export.
  \item importedById. Character string id of the user who imported the model.
  \item id. Character string id of the import.
  \item createdById. Character string id of the user who created the model prior to export.
  \item modelId. Character string original id of the model prior to export.
  \item originUrl. Character string URL.
}
}
\description{
Retrieve information about all imported models
This function returns a data.frame that describes all imported models
}
\examples{
\dontrun{
  ListTransferableModels()
}
}
\seealso{
Other Transferable Model functions: 
\code{\link{DeleteTransferableModel}()},
\code{\link{DownloadTransferableModel}()},
\code{\link{GetTransferableModel}()},
\code{\link{RequestTransferableModel}()},
\code{\link{UpdateTransferableModel}()},
\code{\link{UploadTransferableModel}()}
}
\concept{Transferable Model functions}
